%undefine _hardened_build

%global commit0 a82982d93a75c48bac7a894639b26e5f05ff8364
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           libglvnd
Version:        0.1.0
Release:        3%{?commit0:.git%{shortcommit0}}%{?dist}
Summary:        The GL Vendor-Neutral Dispatch library

License:        MIT and BSD and LGPLv2+
URL:            https://github.com/NVIDIA/libglvnd
Source0:        https://github.com/NVIDIA/%{name}/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz
#https://github.com/NVIDIA/libglvnd/pull/90
Patch0:         0001-Remove-uneeded-xorg-server-dependency.patch

#This library only target few architectures use case
ExclusiveArch:  x86_64 i686 armv7hl

BuildRequires:  libtool

BuildRequires:  libxml2-python
BuildRequires:  pkgconfig(glproto)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xv)

# X11 tests:
BuildRequires:  xorg-x11-server-Xvfb

# Introduced in f23
Provides: xorg-x11-glvnd = 0.0.0-8
Obsoletes: xorg-x11-glvnd < 0.1.0

%{!?_with_mesa_glvnd_default:
%global         __provides_exclude ^(libGL.\\.so.*|libGLES*\\.so.*)$
%global         __requires_exclude ^(libGL.\\.so.*|libGLES*\\.so.*)$
}


%description
This is a work-in-progress implementation of the vendor-neutral dispatch layer
for arbitrating OpenGL API calls between multiple vendors on a per-screen
basis, as described by Andy Ritger's OpenGL ABI proposal.

Currently, only the GLX window-system API and OpenGL are supported, but in the
future this library may support EGL and OpenGL ES as well.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{?commit0}%{?!commit0:%{version}}
%patch0 -p1
autoreconf -vif


%build
%configure \
  --disable-static \

make %{?_smp_mflags} V=1


%install
%make_install INSTALL="install -p"
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%{!?_with_mesa_glvnd_default:
# Avoid conflict with mesa-libGL until mesa has gained libglvnd support
mkdir -p %{buildroot}%{_libdir}/%{name}
for l in libGL libGLESv2 ; do
  mv %{buildroot}%{_libdir}/${l}.so* \
    %{buildroot}%{_libdir}/%{name}
done
}

# Fedora does not provide libGLESv1_CM
rm -rf %{buildroot}%{_libdir}/libGLESv1_CM*


%check
export DO_X11_TESTS=1
# tests are failing in mock
xvfb-run -a  make check V=1 || :


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc README.md
%{_libdir}/*.so.*
%{!?_with_mesa_glvnd_default:
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/lib*GL*.so.*
}

%files devel
%dir %{_includedir}/glvnd
%{_includedir}/glvnd/*.h
%{_libdir}/%{name}/lib*GL*.so
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri May 20 2016 Nicolas Chauvet <kwizart@gmail.com> - 0.1.0-3.gita82982d
- Update to current snapshot

* Fri May 13 2016 Nicolas Chauvet <kwizart@gmail.com> - 0.1.0-2.git509de0d
- Update to current snapshot
- Remove unused dt-auxiliary
- Add support for graphical make test
- Undefine hardened build for xorg

* Wed May 04 2016 Nicolas Chauvet <kwizart@gmail.com> - 0.1.0-1.git8277115
- Update to lastest snapshot

* Thu Feb 18 2016 Nicolas Chauvet <kwizart@gmail.com> - 0.0.0-9.git4d977ea
- Remove patch to enable by default

* Wed Feb 17 2016 Nicolas Chauvet <kwizart@gmail.com> - 0.0.0-8git20160217
- Update to git20160217
- Introduce --with mesa-libglvnd-default build conditional
- Avoid error on make check - testglxqueryversion.sh stil fails in mock
- Filter on provided libGL until glvnd support is in upstream mesa
- Use upstream tarball and use autoreconf

* Fri Jan 15 2016 Nicolas Chauvet <kwizart@gmail.com> - 0.0.0-7git20160115
- Bump for 20160115
- Enable make check
- Description improvements
- Enable libglvnd by default
- Enable devel sub-package

* Wed Jan 06 2016 Nicolas Chauvet <kwizart@gmail.com> - 0.0.0-6git20160106
- Update to 20160106 snapshot
- Remove 10-x11glvnd

* Sat Nov 21 2015 Nicolas Chauvet <kwizart@gmail.com> - 0.0.0-5git20151121
- Update to 20151121 snapshot
- Avoid conflicts with mesa-libGL{,ES}
- Disable libGLESv1_CM

* Tue Nov 10 2015 Nicolas Chauvet <kwizart@gmail.com> - 0.0.0-4git20151110
- Update to today snapshot
- Fix license

* Tue Sep 01 2015 Nicolas Chauvet <kwizart@gmail.com> - 0.0.0-3git20150901
- Update to snapshot 20150901

* Fri Aug 07 2015 Nicolas Chauvet <kwizart@gmail.com> - 0.0.0-2
- Update to today snapshoot

* Fri Feb  6 2015 Nicolas Chauvet <kwizart@gmail.com> - 0.0.0-1
- Initial spec file
